/* SctServer - Copyright (c) 2011-2015 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package fr.exemole.sctserver.request;


/**
 *
 * @author Vincent Calame
 */
public interface Parameters {

    public final static String TYPE = "type";
    public final static String VERSION = "version";
    public final static String MODE = "mode";
    public final static String LANG = "lang";
    public final static String NAME = "name";
    public final static String Q = "q";
    public final static String Q_MODE = "q-mode";
    public final static String Q_PREFIX = "q_";
    public final static String Q_MODE_PREFIX = "q-mode_";
    public final static String Q_SCOPE_PREFIX = "q-scope_";
    public final static String UNION_Q_MODE = "union";
    public final static String INTERSECTION_Q_MODE = "intersection";
    public final static String OPERATION_Q_MODE = "operation";
    public final static String Q_ID = "qid";
    public final static String BASE_LIST = "baselist";
    public final static String CORPUS_LIST = "corpuslist";
    public final static String THESAURUS_LIST = "thesauruslist";
    public final static String FICHE_LIST = "fichelist";
    public final static String LANG_LIST = "langlist";
    public final static String CATEGORY_LIST = "categorylist";
    public final static String FICHE_FIELDS = "fichefields";
    public final static String MOTCLE_FIELDS = "motclefields";
    public final static String FIELDVARIANT = "fieldvariant";
    public final static String FILTER = "flt";
    public final static String FILTER_PREFIX = "flt-";
    public final static String MOTCLE_FILTER = "flt-motcle";
    public final static String THESAURUS_FILTER = "flt-thesaurus";
    public final static String DATE_FILTER = "flt-date";
    public final static String QID_FILTER = "flt-qid";
    public final static String ADD_FILTER = "flt-add";
    public final static String BBOX_FILTER = "flt-bbox";
    public final static String CIRCLE_FILTER = "flt-circle";
    public final static String CORPUS_FILTER = "flt-corpus";
    public final static String BASE_FILTER = "flt-base";
    public final static String LANG_FILTER = "flt-lang";
    public final static String ATTR_FILTER = "flt-attr";
    public final static String FIELD_PREFIX = "field-";
    public final static String FIELD_TITRE = "field-titre";
    public final static String FIELD_SOUSTITRE = "field-soustitre";
    public final static String FIELD_HREF = "field-href";
    public final static String FIELD_ANNEE = "field-annee";
    public final static String INSERT = "insert";
    public final static String START = "start";
    public final static String LIMIT = "limit";
    public final static String STARTTYPE = "starttype";
    public final static String GLOBAL_STARTTYPE = "global";
    public final static String IN_ALL_STARTTYPE = "in_all";
    public final static String IN_STARTTYPE_PREFIX = "in:";
    public final static String ORIGIN = "origin";
    public final static String WARNINGS = "warnings";
    public final static String MOTCLE_LIST = "motclelist";
    public final static String PONDERATION = "ponderation";
    public final static String RANDOM = "random";
    public final static String ALL = "all";
    public final static String INFO = "info";
    public final static String WILDCHAR = "wildchar";
    public final static String END_WILDCHAR = "end";
    public final static String BOTH_WILDCHAR = "both";
    public final static String START_WILDCHAR = "start";
    public final static String NONE_WILDCHAR = "none";
    public final static String LOG = "log";
    public final static String ALL_LOG = "all";
}
